/*
* CICD pipeline file for Jenkins
*/
pipeline {
    agent any

    stages {
        stage('Print env variables') {
            steps {
                sh 'printenv'
            }
        }

        stage('SonarQube Analysis') {
            def scannerHome = tool 'SonarScanner';
            withSonarQubeEnv() {
              sh "${scannerHome}/bin/sonar-scanner"
            }
          }

        stage('Install dependencies') {
            steps {
                sh 'npm install'
            }
        }

        stage('Linting') {
            steps {
                sh 'npm lint'
            }
        }

        stage('Build') {
            steps {
                sh 'npm build'
            }
        }

        stage('Test') {
            steps {
                sh 'npm test'
            }
        }
    }
}
